function tick(entity, manager) {
    var t = entity.getData("ahhp:dyn/sonic_boom_ticks");
    if (entity.getData("fiskheroes:flight_boost_timer") == 1 && !entity.getData("ahhp:dyn/sonic_boomed")) {
        manager.incrementData(entity, "ahhp:dyn/sonic_boom_ticks", 2, 10, t < 40);
        if (entity.getData("ahhp:dyn/sonic_boom_ticks") == 40) {
            manager.setData(entity, "ahhp:dyn/sonic_boomed", true);
        }
    }
}
